Bug 57934

Summary: Cannot set conditional formatting fill color to XSSFColor
Product: POI Reporter: Andy Carpenter <Andy.Carpenter>
Component: XSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Hardware: PC   
OS: Windows NT   
Bug Depends on: 58138    
Bug Blocks:    

Description Andy Carpenter 2015-05-19 07:12:54 UTC
The XSSFPatternFormatting class does not include setFillForegroundColor and setFillBackgroundColor methids that take an XSSFColor parameter.. Thus, conditional formatting can only used IndexedColors
Comment 1 Nick Burch 2015-07-14 21:27:33 UTC
This has hopefully been solved with bug #58138, as XSSFPatternFormatting now additionally accepts XSSFColor objects for its colour setters

Would you be able to check a nightly build / 3.13 beta 1 once released, and confirm that your use case is now covered?
Comment 2 Dominik Stadler 2016-02-17 21:19:18 UTC
Setting to fixed as it should work and there was no response for some time.